// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file NonLinUpdater.h */

#ifndef AMDIS_NONLINAPDATOR_H
#define AMDIS_NONLINAPDATOR_H

#include "SystemVector.h"

namespace AMDiS {

  /** \brief
   * Used in non linear solvers for matrix and vector assemblage.
   */
  class NonLinUpdater
  {
  public:
    NonLinUpdater(Matrix<DOFMatrix*> *m) 
      : df(m) 
    {}

    ~NonLinUpdater() 
    {}

    void update(bool updateDF, SystemVector *F);

  protected:
    /// Matrix to be updated.
    Matrix<DOFMatrix*> *df;
  };

}

#endif
